#
# spec file for package python-django-registration
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-django-registration
Version:        3.0
Release:        lp151.1.1
Summary:        An extensible user-registration application for Django
License:        BSD-3-Clause
Group:          Development/Languages/Python
URL:            https://github.com/ubernostrum/django-registration/
Source:         https://files.pythonhosted.org/packages/source/d/django-registration/django-registration-%{version}.tar.gz
BuildRequires:  %{python_module Django >= 1.11}
BuildRequires:  %{python_module confusable-homoglyphs >= 3.0}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  python2-mock
Requires:       python-Django >= 1.11
Requires:       python-confusable-homoglyphs >= 3.0
BuildArch:      noarch
%python_subpackages

%description
This is a user registration application for Django. It requires a
functional installation of Django, but has no other
dependencies.

%prep
%setup -q -n django-registration-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}/

%check
%python_expand PYTHONPATH=%{buildroot}%{$python_sitelib} $python runtests.py

%files %{python_files}
%license LICENSE
%doc AUTHORS README.rst
%{python_sitelib}/*

%changelog
* Tue Mar 19 2019 John Vandenberg <jayvdb@gmail.com>
- Add missing runtime dependency python-confusable-homoglyphs
* Tue Feb 26 2019 Tomáš Chvátal <tchvatal@suse.com>
- Do not trigger legaldb
* Mon Feb 25 2019 John Vandenberg <jayvdb@gmail.com>
- Set Django version to 1.11
- Update to 3.0, notable changes
  * Installed module changed from registration to django_registration
  * Python 3.7 support
  * Minimum Django version is now 1.11
  * Include tests and runner in source distribution
  * Make it possible to distinguish different types of activation failures
  * Add the ability to detect when the account has already been activated
  * Remove RegistrationFormNoFreeEmail
  * Clean up the weird ancient handling of
    success_url/get_success_url()
  * Make the one-step backend a little more robust with custom users
  * Correct use of is_secure() in activation email context
  * Template directory rename, and renamed activation email body template
    and renamed activation failure template
  * Made the HttpRequest available to activation email contexts
  * Rename URL patterns
  * Rename the HMAC backend
  * Added a form class doing case-insensitive username uniqueness checks
* Mon Sep  3 2018 Ondřej Súkup <mimi.vx@gmail.com>
- update 2.5.2
- remove django2.patch
- no upstream changelog
* Wed Aug 29 2018 tchvatal@suse.com
- Add patch to build with django 2.0+:
  * django2.patch
* Fri Aug 24 2018 tchvatal@suse.com
- Add missing python2-mock dependency
* Wed Aug 15 2018 jengelh@inai.de
- Ensure neutrality of description.
* Wed Aug  8 2018 tchvatal@suse.com
- Switch to singlespec
- Version update to 2.4.1:
  * Support 2.0 django and bunch of bugfixes
* Mon Feb 27 2017 shshyukriev@suse.com
- Update to v 2.2:
  * Requires Django 1.8 and higher
* Tue Apr 19 2016 appleonkel@opensuse.org
- Update to version 2.0.4
  + No Changelog
- Use new specfile from py2pack
* Sat Sep 28 2013 p.drouand@gmail.com
- Update to version 1.0
  + Changelog hasn't been updated for 1.0 version
- Use download url as source url
- Remove redundant %%clean setion and useless CFLAGS export
- Use %%{python_sitelib} instead of RECORDEDFILES filelist
* Mon Aug 27 2012 mcihar@suse.cz
- update to 0.8
  * Backend-based rewrite. See docs/upgrade.rst for details.
  * Compatibility through Django 1.4.
* Fri Nov 25 2011 cfarrell@suse.com
- license update: BSD-3-Clause
  SDPX format (http://www.spdx.org/licenses)
* Mon May 31 2010 toms@suse.de
- Fixed Group: Development/Libraries/Python to make it consistent
  with other Python packages
* Fri Aug 21 2009 garloff@suse.de
- Build as noarch on openSUSE >= 11.2.
* Thu Aug 20 2009 garloff@suse.de
- update to version 0.7.
* Thu Aug 20 2009 garloff@suse.de
- django.core.validators does not exist any more. Fix.
* Fri Sep 12 2008 crrodriguez@suse.de
- update to version 0.6
